<template>
  <otp-reset-password-template namespace="3rdParty-eshop" :custom-login-url="getCustomLoginUrl" />
</template>

<script>
import OtpResetPasswordTemplate from '@/app/login/landing/components/OTPResetPassword'
export default {
  name: 'OtpResetPassword',
  components: { OtpResetPasswordTemplate },
  computed: {
    getCustomLoginUrl() {
      let loginPath = null
      try {
        loginPath = decodeURIComponent(process.env.VUE_APP_THIRDPARTY_CUSTOM_LOGIN_PATH)
      } catch (e) {
        loginPath = '/'
      }
      let { origin } = window.location
      return origin + loginPath
    },
  },
}
</script>
